Subject: Re: [Netconf] Some discussion points re: RFC 5277bis and YANG push

From: Martin Bjorklund <[email-masked]>
Date: Fri, 01 Jul 2016 12:57:57 +0200 (CEST)

Hi,

I think this would be a useful feature.  It would be harmless in most
use cases, and useful in some specific use cases, e.g. generic proxies
etc.

/martin

"Alexander Clemm (alex)" <[email-masked]> wrote:
> Hi,
> 
> draft-gonzalez-netconf-5277bis is another one of the drafts in the set
> of drafts concerning event notifications and yang-push.
> 
> One of the items wort bringing for discussion concerns the notion of
> control plane notifications that are used to indicate the status of a
> notification subscription.  Examples of such notifications are
> "replayComplete", "subscription-modified" (in case case of configured
> subscriptions), and "subscription-suspended" (of particular importance
> for draft-ietf-netconf-yang-push, another draft in the set, used by
> the server to notify a client in case notification updates cannot be
> sent as promised under various rainy-day scenarios).
> 
> What makes those notifications different from other notifications is
> that they are not of general concern, but of concern only for a
> particular association.  As a subscriber to event notifications, I
> should only receive those notifications that concern "my"
> subscription, not those that concern someone else's subscription.
> 
> The way we are planning to address this is through introduction of an
> extension "control-plane-notif".  This extension is used to tag
> definitions of notifications used for control / signaling purposes
> that are therefore not part of the general NETCONF event stream.
> Instead, notifications thus tagged are part of a signaling event
> stream that is part of the signaling/control association implied by
> the subscription.  Like push-notifications themselves, there is a need
> to distinguish notifications subscribable by everyone and notification
> instances used by a server to notify items of significance to a
> specific client, or set of clients.  Please refer also to section 7 of
> the draft
> (https://tools.ietf.org/html/draft-gonzalez-netconf-5277bis-02#section-7
> ).
> 
> We have been discussing this issue as part of the weekly calls in
> which a subteam of NETCONF WG participants are discussing the set of
> of related drafts and think this is one of the issues that we should
> bring to the attention of and solicit feedback from the WG as a whole.
> 
> Thoughts?
> --- Alex
> (on behalf of the team)
>

---

From: Jonathan Hansford <[email-masked]>
Date: Mon, 4 Jul 2016 12:24:00 +0100

+1

From: Martin Bjorklund
Sent: 01 July 2016 11:57
To: [email-masked]
Cc: [email-masked]
Subject: Re: [Netconf] Some discussion points re: RFC 5277bis and YANG push

Hi,

/martin

> bring to the attention of and solicit feedback from the WG as a whole.

_______________________________________________
Netconf mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/netconf